Wt: Wt::WBootstrapTheme Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WBootstrapTheme Class Reference

Theme based on the Twitter Bootstrap CSS framework. More...

`#include <Wt/WBootstrapTheme>`

Inheritance diagram for Wt::WBootstrapTheme:
[legend]

List of all members.

## Public Member Functions
| WBootstrapTheme (WObject *parent=0)
| Constructor.
virtual std::string | name () const
| Returns a theme name.
virtual std::vector < WCssStyleSheet > | styleSheets () const
| Returns a vector with stylesheets for the theme.
virtual void | apply (WWidget *widget, WWidget *child, int widgetRole) const
| Applies the theme to a child of a composite widget.
virtual void | apply (WWidget *widget, DomElement &element, int elementRole) const
| Applies the theme to a DOM element that renders a widget.
virtual std::string | disabledClass () const
| Returns a generic CSS class name for a disabled element.
virtual std::string | activeClass () const
| Returns a generic CSS class name for an active element.
virtual bool | canStyleAnchorAsButton () const
| Returns whether the theme allows for an anchor to be styled as a button.
virtual void | applyValidationStyle (WWidget *widget, const Wt::WValidator::Result &validation, WFlags< ValidationStyleFlag > styles) const
| Applies a style that indicates the result of validation.

## Detailed Description

Theme based on the Twitter Bootstrap CSS framework.

By default, the theme will use CSS resources that are shipped together with the Wt distribution.

See also:
  WApplication::setTheme()

## Member Function Documentation

void Wt::WBootstrapTheme::apply | ( | WWidget * | widget,
|  | WWidget * | child,
|  | int | widgetRole
| ) |  | const`[virtual]`

Applies the theme to a child of a composite widget.

The `widgetRole` indicates the role that `child` has within the implementation of the `widget`.

Implements Wt::WTheme.

void Wt::WBootstrapTheme::apply | ( | WWidget * | widget,
|  | DomElement & | element,
|  | int | elementRole
| ) |  | const`[virtual]`

Applies the theme to a DOM element that renders a widget.

The `element` is a rendered representation of the `widget`, and may be further customized to reflect the theme.

Implements Wt::WTheme.

std::string Wt::WBootstrapTheme::name | ( |  | ) | const`[virtual]`

Returns a theme name.

Returns a unique name for the theme. This name is used by the default implementation of resourcesUrl() to compute a location for the theme's resources.

Implements Wt::WTheme.

std::vector< WCssStyleSheet > Wt::WBootstrapTheme::styleSheets | ( |  | ) | const`[virtual]`

Returns a vector with stylesheets for the theme.

This should return a vector with stylesheets that implement the theme. This list may be tailored to the current user agent, which is read from the application environment.

Implements Wt::WTheme.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator